메뉴 바로가기

본문으로 바로가기



정보보호 권고

HOME > 정보센터 > 정보보호 권고

제목
OpenSSL 신규 취약점 보안 업데이트 권고
작성일 17.12.15
파일첨부 A3-AEGIS-20171214-02[MIDDLE] OpenSSL 신규 취약점 보안 업데이트 권고.pdf

□ 개요

 o OpenSSL에서 서비스 거부 공격이 가능한 취약점을 해결한 보안 업데이트 발표[1]

 

□ 설명

 o 핸드 셰이크가 진행되는 과정에서 SSL_read() SSL_write() 함수 호출 시 오류가 발생할 경우, 데이터가 암호화 되지 않고 전달되어 정보노출이 발생하는 취약점(CVE-2017-3737)

 

□ 해당 시스템

 o 영향을 받는 제품 및 버전

    - OpenSSL v1.0.2 ~ v1.0.2n 이전 버전

 

□ 해결 방안

 o OpenSSL 1.0.2 버전 사용자는 1.0.2n 버전으로 업데이트[2]

    OpenSSL v1.1.0은 영향 받지 않으며, v1.0.1은 지원종료 됨

 

[참고사이트]

[1] https://www.openssl.org/news/secadv/20171207.txt

[2] https://www.openssl.org/source/
이전글 Windows10 Keeper Password Manager 보안 업데이트 권고
다음글 MS 12월 보안 위협에 따른 정기 보안 업데이트 권고